## Class Swift_Transport_EsmtpTransport

(line 25)

## Description

    Swift_Transport_AbstractSmtpTransport
       |
       --Swift_Transport_EsmtpTransport

Located in File: /vendors/swiftMailer/classes/Swift/Transport/EsmtpTransport.php

##### Sends Messages over SMTP with ESMTP support.

- author: - Chris Corbyn

Classes extended from Swift_Transport_EsmtpTransport:

Swift_SmtpTransport
  Sends Messages over SMTP with ESMTP support.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_EsmtpTransport __construct (Swift_Transport_IoBuffer $buf, $extensionHandlers, Swift_Events_EventDispatcher $dispatcher)
string executeCommand (string $command, [int[] $codes = array()], [string[] &$failures = null])
string getEncryption ()
Swift_Transport_EsmtpHandler[] getExtensionHandlers ()
string getHost ()
int getPort ()
int getTimeout ()
void setEncryption ( $enc, string $encryption)
void setExtensionHandlers ( $handlers)
void setHost (string $host)
void setPort (int $port)
void setTimeout (int $timeout)
void _doHeloCommand ()
void _doMailFromCommand ( $address)
void _doRcptToCommand ( $address)
void _getBufferParams ()
void __call ( $method, $args)

#### Constructor __construct (line 64)

#### Swift_Transport_EsmtpTransport __construct( Swift_Transport_IoBuffer $buf, $extensionHandlers, Swift_Events_EventDispatcher $dispatcher)

Overridden in child classes as:

Swift_SmtpTransport::__construct()
  Create a new SmtpTransport, optionally with $host, $port and $security.

Overrides : Swift_Transport_AbstractSmtpTransport::__construct() Creates a new EsmtpTransport using the given I/O buffer.

##### Creates a new EsmtpTransport using the given I/O buffer.

#### Parameters

- Swift_Transport_IoBuffer $buf:
- Swift_Transport_EsmtpHandler[] $extensionHandlers:
- Swift_Events_EventDispatcher $dispatcher:

#### Info

- access - public

#### Method executeCommand (line 182)

#### string executeCommand( string $command, [int[] $codes = array()], [string[] &$failures = null])

Overrides : Swift_Transport_AbstractSmtpTransport::executeCommand() Run a command against the buffer, expecting the given response codes.

Implementation of:

Swift_Transport_SmtpAgent::executeCommand()
  Run a command against the buffer, expecting the given response codes.

##### Run a command against the buffer, expecting the given response codes.

If no response codes are given, the response will not be validated. If codes are given, an exception will be thrown on an invalid response.

#### Parameters

- string $command:
- int[] $codes:
- string[] &$failures:

#### Info

- access - public

#### Method getEncryption (line 142)

#### string getEncryption( )

##### Get the encryption type.

#### Info

- access - public

#### Method getExtensionHandlers (line 168)

#### Swift_Transport_EsmtpHandler[] getExtensionHandlers( )

##### Get ESMTP extension handlers.

#### Info

- access - public

#### Method getHost (line 85)

#### string getHost( )

##### Get the host to connect to.

#### Info

- access - public

#### Method getPort (line 104)

#### int getPort( )

##### Get the port to connect to.

#### Info

- access - public

#### Method getTimeout (line 123)

#### int getTimeout( )

##### Get the connection timeout.

#### Info

- access - public

#### Method setEncryption (line 132)

#### void setEncryption( $enc, string $encryption)

##### Set the encryption type (tls or ssl)

#### Parameters

- string $encryption:
- $enc:

#### Info

- access - public

#### Method setExtensionHandlers (line 151)

#### void setExtensionHandlers( $handlers)

##### Set ESMTP extension handlers.

#### Parameters

- Swift_Transport_EsmtpHandler[] $handlers:

#### Info

- access - public

#### Method setHost (line 75)

#### void setHost( string $host)

##### Set the host to connect to.

#### Parameters

- string $host:

#### Info

- access - public

#### Method setPort (line 94)

#### void setPort( int $port)

##### Set the port to connect to.

#### Parameters

- int $port:

#### Info

- access - public

#### Method setTimeout (line 113)

#### void setTimeout( int $timeout)

##### Set the connection timeout.

#### Parameters

- int $timeout: seconds

#### Info

- access - public

#### Method _doHeloCommand (line 235)

#### void _doHeloCommand( )

Overrides : Swift_Transport_AbstractSmtpTransport::_doHeloCommand() Send the HELO welcome

##### Overridden to perform EHLO instead

#### Info

- access - protected

#### Method _doMailFromCommand (line 256)

#### void _doMailFromCommand( $address)

Overrides : Swift_Transport_AbstractSmtpTransport::_doMailFromCommand() Send the MAIL FROM command

##### Overridden to add Extension support

#### Parameters

- $address:

#### Info

- access - protected

#### Method _doRcptToCommand (line 271)

#### void _doRcptToCommand( $address)

Overrides : Swift_Transport_AbstractSmtpTransport::_doRcptToCommand() Send the RCPT TO command

##### Overridden to add Extension support

#### Parameters

- $address:

#### Info

- access - protected

#### Method _getBufferParams (line 229)

#### void _getBufferParams( )

Overrides : Swift_Transport_AbstractSmtpTransport::_getBufferParams() Return an array of params for the Buffer

##### Get the params to initialize the buffer

#### Info

- access - protected

#### Method __call (line 203)

#### void __call( $method, $args)

##### Mixin handling method for ESMTP handlers

#### Parameters

- $method:
- $args:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::$_buffer - Input-Output buffer for sending/receiving SMTP commands and responses

#### Swift_Transport_AbstractSmtpTransport::$_domain - The domain name to use in HELO command

#### Swift_Transport_AbstractSmtpTransport::$_eventDispatcher - The event dispatching layer

#### Swift_Transport_AbstractSmtpTransport::$_started - Connection status

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::__construct() - Creates a new EsmtpTransport using the given I/O buffer.

#### Swift_Transport_AbstractSmtpTransport::executeCommand() - Run a command against the buffer, expecting the given response codes.

#### Swift_Transport_AbstractSmtpTransport::getBuffer() - Get the IoBuffer where read/writes are occurring.

#### Swift_Transport_AbstractSmtpTransport::getLocalDomain() - Get the name of the domain Swift will identify as.

#### Swift_Transport_AbstractSmtpTransport::isStarted() - Test if an SMTP connection has been established.

#### Swift_Transport_AbstractSmtpTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_AbstractSmtpTransport::reset() - Reset the current mail transaction.

#### Swift_Transport_AbstractSmtpTransport::send() - Send the given Message.

#### Swift_Transport_AbstractSmtpTransport::setLocalDomain() - Set the name of the local domain which Swift will identify itself as.

#### Swift_Transport_AbstractSmtpTransport::start() - Start the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::stop() - Stop the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::_assertResponseCode() - Throws an Exception if a response code is incorrect

#### Swift_Transport_AbstractSmtpTransport::_doDataCommand() - Send the DATA command

#### Swift_Transport_AbstractSmtpTransport::_doHeloCommand() - Send the HELO welcome

#### Swift_Transport_AbstractSmtpTransport::_doMailFromCommand() - Send the MAIL FROM command

#### Swift_Transport_AbstractSmtpTransport::_doRcptToCommand() - Send the RCPT TO command

#### Swift_Transport_AbstractSmtpTransport::_getBufferParams() - Return an array of params for the Buffer

#### Swift_Transport_AbstractSmtpTransport::_getFullResponse() - Get an entire multi-line response using its sequence number

#### Swift_Transport_AbstractSmtpTransport::_getReversePath() - Determine the best-use reverse path for this message

#### Swift_Transport_AbstractSmtpTransport::_readGreeting() - Read the opening SMTP greeting

#### Swift_Transport_AbstractSmtpTransport::_streamMessage() - Stream the contents of the message over the buffer

#### Swift_Transport_AbstractSmtpTransport::_throwException() - Throw a TransportException, first sending it to any listeners

#### Swift_Transport_AbstractSmtpTransport::__destruct() - Destructor.

Documentation generated on Fri, 12 Nov 2010 20:45:20 +0000 by phpDocumentor 1.4.3